<?php

if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}

$languageFilePrefix = 'LLL:EXT:content_rendering_core/Resources/Private/Language/Database.xlf:';
$frontendLanguageFilePrefix = 'LLL:EXT:content_rendering_core/Resources/Private/Language/locallang_ttc.xlf:';

$elementsToAdd = [
    'flexform' => ['flexform' => true],
];

foreach ($elementsToAdd as $elementName => $elementOptions) {

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
        array(
            'LLL:EXT:udg_bug/Resources/Private/Language/tca.xlf:udgbug_' . $elementName,
            'udgbug_' . $elementName,
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY)
            . 'Resources/Public/Icons/udgbug_' . $elementName . '.gif'
        ),
        'CType'
    );

    $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][ 'udgelements_' . $elementName] = 'recursive,select_key,pages';

    if (isset($elementOptions['flexform']) && true === $elementOptions['flexform']) {
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
            'udgbug_' . $elementName,
            'FILE:EXT:udg_bug/Configuration/FlexForms/flexform_' . $elementName . '.xml',
            '*'
        );
    }
}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:udg_bug/Configuration/PageTS/PageTS.txt">');